# Trait actix_web_httpauth::headers::www_authenticate::Challenge

source · [−]

    pub trait Challenge: TryIntoHeaderValue + Debug + Display + Clone + Send + Sync {
        fn to_bytes(&self) -> Bytes;
    }

Expand description

Authentication challenge for `WWW-Authenticate` header.

## Required methods

source

#### fn to_bytes(&self) -> Bytes

Converts the challenge into a bytes suitable for HTTP transmission.

## Implementors